from gamelocus import *

def demo(loc):
    print(loc)
    allpoints = [i for i in loc]
    print("Contains:           Iter:               ")
    for row in range(10):
        for col in range(10):
            if (col, 9 - row) in loc:
                print("##", end = "")
            else:
                print("..", end = "")
        for col in range(10):
            if (col, 9 - row) in allpoints:
                print("##", end = "")
            else:
                print("..", end = "")
        print()

demo(LineLocus(1, 1, 8, 8))
demo(LineLocus(1, 1, 8, 8, True))
demo(LineLocus(1, 8, 8, 1))
demo(LineLocus(1, 8, 8, 1, True))
demo(LineLocus(1, 3, 8, 6))
demo(LineLocus(1, 3, 8, 6, True))
demo(LineLocus(1, 6, 8, 3))
demo(LineLocus(1, 6, 8, 3, True))
demo(LineLocus(3, 1, 6, 8))
demo(LineLocus(3, 1, 6, 8, True))
demo(LineLocus(1, 5, 8, 5))
demo(LineLocus(1, 5, 8, 5, True))
demo(RectLocus(1, 1, 8, 8))
demo(FilledRectLocus(1, 1, 8, 8))
demo(RectLocus(1, 3, 8, 6))
demo(FilledRectLocus(1, 3, 8, 6))
demo(CircleLocus(4, 4, 4))
demo(CircleLocus(4, 4, 1))
demo(CircleLocus(4, 4, 0.6))
demo(CircleLocus(4, 4, 0.4))
demo(FilledCircleLocus(4, 4, 4))
demo(FilledCircleLocus(4, 4, 1))
demo(FilledCircleLocus(4, 4, 0.6))
demo(FilledCircleLocus(4, 4, 0.4))
demo(SetLocus(((1, 1), (1, 8), (8, 8), (8, 1))))
